# Interface methods for submodule: MaskedImageToHistogramFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: MaskedImageToHistogramFilter
class MaskedImageToHistogramFilterProxy():
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetMaskImage(self, _arg) -> None:
		""""""
		...

	def GetMaskImage(self):
		""""""
		...

	def SetMaskValueInput(self, _arg) -> None:
		""""""
		...

	@overload
	def SetMaskValue(self, _arg) -> None:
		""""""
		...

	@overload
	def SetMaskValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def SetMaskValue(self, _arg: float) -> None:
		""""""
		...

	def GetMaskValueInput(self):
		""""""
		...

	@overload
	def GetMaskValue(self) -> int:
		""""""
		...

	@overload
	def GetMaskValue(self) -> float:
		""""""
		...

